version: "3.8"
networks:
  application:
    driver: bridge
services:
  app:
    build:
      context: .
      dockerfile: Dockerfile
    container_name: Laravel-test
    ports:
      - 8010:8000
    volumes:
       - ./src:/app
    environment:
      - APP_NAME='Laravel App'
      - APP_ENV=local
      - APP_DEBUG=true
      - APP_LOG_LEVEL=debug
      - APP_KEY=base64:chbCFWTl+ZLNeRDZTxiJG2tjV4/UQArQu3YDwRT9/uk=
      - APP_URL=http://10.10.123.135:8010/

      - DB_CONNECTION=mysql
      - DB_HOST=10.10.123.147
      - DB_PORT=3306
      - DB_DATABASE=test
      - DB_USERNAME=meninjardev
      - DB_PASSWORD=meninjar*RS54
    networks:
      - application
    entrypoint: ['/bin/sh', '-c']
    command:
      - |
        composer install
        php artisan migrate
        php artisan serve --host=0.0.0.0 --port=8000